### Method

# Clutter Seat get_touch_mode

#### Declaration [src]

    gboolean
    clutter_seat_get_touch_mode (
      ClutterSeat* seat
    )

#### Description [src]

Gets the current touch-mode state of the `ClutterSeat` `seat`. The `ClutterSeat:touch-mode` property is set to `TRUE` if the following requirements are fulfilled:

- A touchscreen is available
- A tablet mode switch, if present, is enabled.

Gets property | `Clutter.Seat:touch-mode`

#### Return value

Type: `gboolean`

`TRUE` if the device is a tablet that doesn’t have an external keyboard attached, `FALSE` otherwise.